From: Johannes Schauer <josch@debian.org>
Date: Thu, 16 Aug 2018 12:11:23 -0700
Subject: alot: UnicodeEncodeError for search queries with non-ascii
 characters

Apply patch from https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=880172

Signed-off-by: Jordan Justen <jljusten@gmail.com>
---
 alot/db/message.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/alot/db/message.py b/alot/db/message.py
index b23035f..3c50edd 100644
--- a/alot/db/message.py
+++ b/alot/db/message.py
@@ -288,7 +288,7 @@ class Message:
 
     def matches(self, querystring):
         """tests if this messages is in the resultset for `querystring`"""
-        searchfor = '( {} ) AND id:{}'.format(querystring, self._id)
+        searchfor = u'( {} ) AND id:{}'.format(querystring, self._id)
         return self._dbman.count_messages(searchfor) > 0
 
     def get_mime_tree(self):
